<?php
/**
 * Rental Estate Realtor Theme Customizer
 *
 * @package Rental Estate Realtor
 */

function Rental_Estate_Realtor_Customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Rental_Estate_Realtor_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Rental_Estate_Realtor_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('rental_estate_realtor_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Rental Estate Realtor Theme Options', 'rental-estate-realtor'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'rental_estate_realtor_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_site_title_text',
		array(
			'label'       => __('Enable Title', 'rental-estate-realtor'),
			'description' => __('Enable or Disable Title from the site', 'rental-estate-realtor'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'rental_estate_realtor_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'rental-estate-realtor'),
			'description' => __('Enable or Disable Tagline from the site', 'rental-estate-realtor'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'rental_estate_realtor_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'rental-estate-realtor'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'rental-estate-realtor'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'rental_estate_realtor_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'rental-estate-realtor'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'rental_estate_realtor_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'rental-estate-realtor'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'rental-estate-realtor'),
			'description' => __('Checked to show Related Product', 'rental-estate-realtor'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'rental-estate-realtor'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'rental-estate-realtor'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('rental_estate_realtor_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','rental-estate-realtor'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rental-estate-realtor'),
            'layout-2' => esc_html__('Sidebar On Left','rental-estate-realtor'),
			'layout-3' => esc_html__('Full Width Layout','rental-estate-realtor')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('rental_estate_realtor_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','rental-estate-realtor'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rental-estate-realtor'),
            'layout-2' => esc_html__('Sidebar On Left','rental-estate-realtor'),
			'layout-3' => esc_html__('Full Width Layout','rental-estate-realtor')
        ),
	) );

	$wp_customize->add_setting('rental_estate_realtor_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
    ));
    $wp_customize->add_control('rental_estate_realtor_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','rental-estate-realtor' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','rental-estate-realtor'),
            'Left' => __('Left','rental-estate-realtor'),
            'Center' => __('Center','rental-estate-realtor')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('rental_estate_realtor_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'rental-estate-realtor'),
			'description' => __('Checked to enable sticky header', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'rental-estate-realtor'),
			'description' => __('Checked to show preloader', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_additional_section',
			'type'        => 'checkbox',
		)
	);
	
	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'rental-estate-realtor'),
			'description' => __('Checked to show Breadcrumbs', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'rental-estate-realtor'),
			'description' => __('Checked to show Pagination', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('rental_estate_realtor_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','rental-estate-realtor'),
            'type-2' => esc_html__('Type 2','rental-estate-realtor'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('rental_estate_realtor_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rental-estate-realtor'),
            'layout-2' => esc_html__('Sidebar On Left','rental-estate-realtor'),
			'layout-3' => esc_html__('Full Width Layout','rental-estate-realtor')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('rental_estate_realtor_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rental-estate-realtor'),
            'layout-2' => esc_html__('Sidebar On Left','rental-estate-realtor'),
			'layout-3' => esc_html__('Full Width Layout','rental-estate-realtor')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('rental_estate_realtor_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rental-estate-realtor'),
            'layout-2' => esc_html__('Sidebar On Left','rental-estate-realtor'),
			'layout-3' => esc_html__('Full Width Layout','rental-estate-realtor')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('rental_estate_realtor_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Title', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Tags', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Image', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Content', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'rental-estate-realtor'),
		'description' => __('Checked To Show Blog Post Read More Button', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('rental_estate_realtor_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
	));
	$wp_customize->add_control('rental_estate_realtor_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','rental-estate-realtor'),
            'Center' => esc_html__('Center','rental-estate-realtor'),
            'Right' => esc_html__('Right','rental-estate-realtor')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'rental_estate_realtor_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'rental_estate_realtor_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('rental_estate_realtor_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'rental-estate-realtor'),
		'description' => __('Checked To Show Single Blog Post Title', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'rental-estate-realtor'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'rental-estate-realtor'),
		'description' => __('Checked To Show Single Blog Post Tags', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'rental-estate-realtor'),
		'description' => __('Checked To Show Single Post Image', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rental_estate_realtor_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
	));
	$wp_customize->add_control('rental_estate_realtor_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'rental-estate-realtor'),
		'description' => __('Checked To Show Single Blog Post Content', 'rental-estate-realtor'),
		'section'     => 'rental_estate_realtor_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'rental-estate-realtor'),
			'description' => __('Checked to show Related Post', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'rental_estate_realtor_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'rental_estate_realtor_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_related_post_count',
		array(
			'label'       => __('Related Post Count', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'rental-estate-realtor'),
			'description' => __('Checked to show Comment Section', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_single_post_section',
			'type'        => 'checkbox',
		)
	);

		/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('rental_estate_realtor_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	$wp_customize->add_setting( 'rental_estate_realtor_primary_color',
		array(
		'default'           => '#1B6F58',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'rental_estate_realtor_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'rental-estate-realtor' ),
			'section'    => 'rental_estate_realtor_global_color_section',
			'settings'   => 'rental_estate_realtor_primary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'rental_estate_realtor_typography_section', array(
		'panel'       => 'rental_estate_realtor_panel',
        'title'    => __( 'Typography Options', 'rental-estate-realtor' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'rental_estate_realtor_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'rental_estate_realtor_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'rental_estate_realtor_font_family', array(
		'label'    => __( 'Global Font Family', 'rental-estate-realtor' ),
		'section'  => 'rental_estate_realtor_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'rental-estate-realtor' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('rental_estate_realtor_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	$wp_customize->add_setting('rental_estate_realtor_product_section_btn_link1', array(
		'default'=> '#',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('rental_estate_realtor_product_section_btn_link1', array(
		'label'	=> esc_html__('Add User URL ','rental-estate-realtor'),
		'section'=> 'rental_estate_realtor_header_section',
		'type'=> 'url'
	));

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'rental_estate_realtor_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Add Property',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_header_button_text',
		array(
			'label'       => __('Edit Button Text ', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'rental_estate_realtor_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_header_button_link',
		array(
			'label'       => __('Edit Button Link ', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_header_section',
			'type'        => 'url',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('rental_estate_realtor_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Banner Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_enable_slider',
		array(
			'label'       => __('Enable Banner', 'rental-estate-realtor'),
			'description' => __('Checked to show the main slider', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_slider_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Image*/
	$wp_customize->add_setting(
		'rental_estate_realtor_slider_image',
		array(
			'capability'    => 'edit_theme_options',
	        'default'       => '',
	        'transport'     => 'postMessage',
	        'sanitize_callback' => 'esc_url_raw',
    	)
    );
	$wp_customize->add_control( 
		new WP_Customize_Image_Control( $wp_customize, 
			'rental_estate_realtor_slider_image', 
			array(
		        'label' => __('Add Banner Image', 'rental-estate-realtor'),
		        'description' => __('Edit the Banner image.', 'rental-estate-realtor'),
		        'section' => 'rental_estate_realtor_slider_section',
			)
		)
	);

	/*Main Slider Heading*/
	$wp_customize->add_setting(
		'rental_estate_realtor_slider_heading',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_slider_heading',
		array(
			'label'       => __('Edit Heading Text', 'rental-estate-realtor'),
			'description' => __('Edit the Banner heading text.', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_slider_section',
			'type'        => 'text',
		)
	);

	/*Main Slider Content*/
	$wp_customize->add_setting(
		'rental_estate_realtor_slider_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_slider_text',
		array(
			'label'       => __('Edit Content Text', 'rental-estate-realtor'),
			'description' => __('Edit the Banner content text.', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_slider_section',
			'type'        => 'text',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_search_form',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_search_form',
		array(
			'label'       => __('Enable Searchform', 'rental-estate-realtor'),
			'description' => __('Checked to show Searchform', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_slider_section',
			'type'        => 'checkbox',
		)
	);


	/*
	* Customizer Blog section
	*/
	/*Blog Options*/
	$wp_customize->add_section('rental_estate_realtor_events_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Our Property Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	/*Blog Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_event',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_enable_event',
		array(
			'label'       => __('Enable Our Property Section', 'rental-estate-realtor'),
			'description' => __('Checked to show the category', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_events_section',
			'type'        => 'checkbox',
		)
	);

	/*Blog Heading*/
	$wp_customize->add_setting(
		'rental_estate_realtor_small_title',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_small_title',
		array(
			'label'       => __('Edit Section Small Title', 'rental-estate-realtor'),
			'description' => __('Edit section Small Title', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_events_section',
			'type'        => 'text',
		)
	);

	/*Blog Text*/
	$wp_customize->add_setting(
		'rental_estate_realtor_event_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_event_text',
		array(
			'label'       => __('Edit Section Heading', 'rental-estate-realtor'),
			'description' => __('Edit Our Property section Heading', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_events_section',
			'type'        => 'text',
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('rental_estate_realtor_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'rental-estate-realtor'),
		'panel'       => 'rental_estate_realtor_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'rental_estate_realtor_enable_footer',
		array(
			'label'       => __('Enable Footer', 'rental-estate-realtor'),
			'description' => __('Checked to show Footer', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('rental_estate_realtor_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'rental_estate_realtor_footer_bg_image',array(
        'label' => __('Footer Background Image','rental-estate-realtor'),
        'section' => 'rental_estate_realtor_footer_section',
        'priority' => 1,
    )));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'rental-estate-realtor'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'rental_estate_realtor_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rental_estate_realtor_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'rental-estate-realtor'),
			'description' => __('Checked to enable Go To Top option.', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('rental_estate_realtor_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'rental_estate_realtor_sanitize_choices'
    ));
    $wp_customize->add_control('rental_estate_realtor_go_to_top_position',array(
        'type' => 'select',
        'section' => 'rental_estate_realtor_footer_section',
        'label' => esc_html__('Go To Top Positions','rental-estate-realtor'),
        'choices' => array(
            'Right' => __('Right','rental-estate-realtor'),
            'Left' => __('Left','rental-estate-realtor'),
            'Center' => __('Center','rental-estate-realtor')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'rental_estate_realtor_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rental_estate_realtor_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'rental-estate-realtor'),
			'description' => __('Edit the Footer Copyright Section.', 'rental-estate-realtor'),
			'section'     => 'rental_estate_realtor_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'Rental_Estate_Realtor_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Rental_Estate_Realtor_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Rental_Estate_Realtor_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Rental_Estate_Realtor_Customize_preview_js() {
	wp_enqueue_script( 'rental-estate-realtor-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), RENTAL_ESTATE_REALTOR_VERSION, true );
}
add_action( 'customize_preview_init', 'Rental_Estate_Realtor_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Rental_Estate_Realtor_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $rental_estate_realtor_instance = null;

		if ( is_null( $rental_estate_realtor_instance ) ) {
			$rental_estate_realtor_instance = new self;
			$rental_estate_realtor_instance->setup_actions();
		}

		return $rental_estate_realtor_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $rental_estate_realtor_manager
	 * @return void
	*/
	public function sections( $rental_estate_realtor_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$rental_estate_realtor_manager->register_section_type( 'Rental_Estate_Realtor_Customize_Section_Pro' );

		// Register sections.
		$rental_estate_realtor_manager->add_section( new Rental_Estate_Realtor_Customize_Section_Pro( $rental_estate_realtor_manager,'rental_estate_realtor_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Rental Estate Pro', 'rental-estate-realtor' ),
			'pro_text' => esc_html__( 'Buy Pro', 'rental-estate-realtor' ),
			'pro_url'    => esc_url( RENTAL_ESTATE_REALTOR_BUY_NOW ),
		) )	);

		// Register sections.
		$rental_estate_realtor_manager->add_section( new Rental_Estate_Realtor_Customize_Section_Pro( $rental_estate_realtor_manager,'rental_estate_realtor_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'rental-estate-realtor' ),
			'pro_text' => esc_html__( 'Instruction', 'rental-estate-realtor' ),
			'pro_url'    => esc_url( RENTAL_ESTATE_REALTOR_LITE_DOC ),
		) )	);

		$rental_estate_realtor_manager->add_section( new Rental_Estate_Realtor_Customize_Section_Pro( $rental_estate_realtor_manager, 'rental_estate_realtor_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'rental-estate-realtor' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'rental-estate-realtor' ),
		    'pro_url'    => esc_url( RENTAL_ESTATE_REALTOR_LIVE_DEMO ),
		) ) );

	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'rental-estate-realtor-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'rental-estate-realtor-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Rental_Estate_Realtor_Customize::get_instance();